dbXML API

## org.dbxml.core.server.services
Class GopherServer

    java.lang.Object
      |
      +--org.dbxml.server.SimpleConfigurable
            |
            +--org.dbxml.server.services.SocketServer
                  |
                  +--org.dbxml.core.server.services.GopherServer

All Implemented Interfaces:
  org.dbxml.server.Configurable, org.dbxml.server.KernelAccess, org.dbxml.server.ManagerService, org.dbxml.server.Named, java.lang.Runnable, org.dbxml.server.Service

public final class GopherServer
extends org.dbxml.server.services.SocketServer
implements org.dbxml.server.ManagerService

Gopher Server for dbXML resources. Ok, the first question out of somebody's mouth will be "Why?" and the answer is simple: "Because." Gopher was the Internet's original wide-spread information retrieval protocol. It was simple to use and implement, and presented a uniform browsing mechanism. The same can't be said about HTTP and HTML.

Fields inherited from class org.dbxml.server.services.SocketServer
`chunkSize, hostname, keepalive, kernel, linger, port, reverse, timeout`

Fields inherited from interface org.dbxml.server.Service
`RESULT_BUSY, RESULT_FAILED, RESULT_INVALID, RESULT_OK, STATE_STARTED, STATE_STOPPED, STATE_SUSPENDED`

Constructor Summary
`GopherServer()`

Method Summary
`java.lang.String` `getProtocol()`
`int` `initialize()`
`void` `run()`
`void` `setConfig(org.dbxml.server.Configuration config)`
`void` `setServiceManager(org.dbxml.server.ServiceManager serviceManager)`
`int` `start()`

Methods inherited from class org.dbxml.server.services.SocketServer
`getHostname, getName, getPort, resume, setKernel, status, statusMessage, stop, suspend, uninitialize`

Methods inherited from class org.dbxml.server.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GopherServer

    public GopherServer()

Method Detail

### setConfig

    public void setConfig(org.dbxml.server.Configuration config)
                   throws org.dbxml.server.dbXMLException

  Overrides:
    `setConfig` in class `org.dbxml.server.services.SocketServer`

### getProtocol

    public java.lang.String getProtocol()

  Overrides:
    `getProtocol` in class `org.dbxml.server.services.SocketServer`

### setServiceManager

    public void setServiceManager(org.dbxml.server.ServiceManager serviceManager)

  Specified by:
    `setServiceManager` in interface `org.dbxml.server.ManagerService`

### initialize

    public int initialize()

  Overrides:
    `initialize` in class `org.dbxml.server.services.SocketServer`

### start

    public int start()

  Overrides:
    `start` in class `org.dbxml.server.services.SocketServer`

### run

    public void run()

  Overrides:
    `run` in class `org.dbxml.server.services.SocketServer`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved